Generation Framework

## org.eclipse.gmf.tooldef
Interface MenuAction

All Superinterfaces:
  ContributionItem, org.eclipse.emf.ecore.EObject, ItemBase, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MenuActionImpl

    public interface MenuAction

extends ContributionItem

A representation of the model object 'Menu Action'.

The following features are supported:

- `Kind`
- `Hot Key`

See Also:
  `GMFToolPackage.getMenuAction()`
** Generated **
Model:

Method Summary
`java.lang.String` `getHotKey()` Returns the value of the 'Hot Key' attribute
`ActionKind` `getKind()` Returns the value of the 'Kind' attribute.
`void` `setHotKey(java.lang.String value)` Sets the value of the '`Hot Key`' attribute
`void` `setKind(ActionKind value)` Sets the value of the '`Kind`' attribute

Methods inherited from interface org.eclipse.gmf.tooldef.ContributionItem
`getIcon, getTitle, setIcon, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKind

    ActionKind getKind()

  Returns the value of the 'Kind' attribute. The literals are from the enumeration `ActionKind`.

  If the meaning of the 'Kind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `ActionKind`, `setKind(ActionKind)`, `GMFToolPackage.getMenuAction_Kind()`
  ** Generated **
  Model:

### setKind

    void setKind(ActionKind value)

  Sets the value of the '`Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Kind' attribute.
  See Also:
    `ActionKind`, `getKind()`
  ** Generated **

### getHotKey

    java.lang.String getHotKey()

  Returns the value of the 'Hot Key' attribute.

  If the meaning of the 'Hot Key' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Hot Key' attribute.
  See Also:
    `setHotKey(String)`, `GMFToolPackage.getMenuAction_HotKey()`
  ** Generated **
  Model:

### setHotKey

    void setHotKey(java.lang.String value)

  Sets the value of the '`Hot Key`' attribute.

  Parameters:
    `value` - the new value of the 'Hot Key' attribute.
  See Also:
    `getHotKey()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.